// convert2swfView.h : interface of the Cconvert2swfView class
//


#pragma once


class Cconvert2swfView : public CHtmlView
{
protected: // create from serialization only
	Cconvert2swfView();
	DECLARE_DYNCREATE(Cconvert2swfView)

// Attributes
public:
	Cconvert2swfDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~Cconvert2swfView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in convert2swfView.cpp
inline Cconvert2swfDoc* Cconvert2swfView::GetDocument() const
   { return reinterpret_cast<Cconvert2swfDoc*>(m_pDocument); }
#endif

